# Versioning
%define			name			fwknop
%define			servername		fwknop-server
%define			version			2.6.10
%define			rel			4
%define			libversion		3.0.0
%define			libmajor		3

%define			libname			%mklibname %{name} %{libmajor}
%define			develname		%mklibname %{name} -d
%global _legacy_common_support 1

# Main
Name:			%{name}
Summary:		Firewall Knock Operator client
Group:			Networking/Remote access
Version:		%{version}
Release:		%mkrel %{rel}
Requires:		%{libname} >= 3.0.0
Provides:		%{name} = %{version}-%{release}

License:		GPLv2+
Url:			http://www.cipherdyne.org/fwknop
Source0:		http://www.cipherdyne.org/fwknop/download/%{name}-%{version}.tar.bz2
Source1:		fwknop.service
Source2:		fwknop.sysconfig
Source3:		README.install.urpmi

BuildRequires:	iptables
BuildRequires:	libgpgme-devel
BuildRequires:	libpcap-devel
BuildRequires:	texinfo

%description
Fwknop implements an authorization scheme known as Single Packet Authorization
(SPA) for Linux systems running Firewalld or Iptables. This mechanism requires
only a single encrypted and non-replayed packet to communicate various pieces 
of information including desired access through a Firewalld or Iptables policy. 
The main application of this program is to use Firewalld or Iptables in a 
default-drop stance to protect services such as SSH with an additional layer of
security in order to make the exploitation of vulnerabilities (both 0-day and 
not patched code) much more difficult.

%package -n	%{libname}
Summary:	The fwknop library
Group:		Networking/Remote access
Version:	%{libversion}
Release:	%mkrel %{rel}
Requires:	gnupg2, gpgme
Provides:	%{libname} = %{libversion}-%{release}
# Obsoletes:

%description -n %{libname}
The Firewall Knock Operator library, libfko, provides the Single Packet
Authorization implementation and API for the other fwknop components.

%package -n	%{develname}
Summary:	The fwknop library header and API docs
Group:		Networking/Remote access
Version:	%{version}
Release:	%mkrel %{rel}
Requires:	%{libname} >= 3.0.0
Provides:	%{develname} = %{version}-%{release}
# Obsoletes:

%description -n %{develname}
This is the libfko development header and API documentation.


%package -n	%{servername}
Summary:	The Firewall Knock Operator server. An implementation of Single Packet Authorization
Group:		Networking/Remote access
Version:	%{version}
Release:	%mkrel %{rel}
Requires:	%{libname} => 3.0.0, libpcap, iptables
Provides:	%{servername} = %{version}-%{release}
# Obsoletes:
# Provides:

%description -n %{servername}
The Firewall Knock Operator server component for the FireWall Knock Operator,
and is responsible for monitoring Single Packet Authorization (SPA) packets
that are generated by fwknop clients, modifying a firewall or acl policy to
allow the desired access after decrypting a valid SPA packet, and removing
access after a configurable timeout.


%prep
%setup -q

%build
%if %mgaversion >= 8
%configure --host='' --build='' \
	--with-gpgme
%else
%configure \
	--with-gpgme
%endif

%make_build

%install
%make_install
# we don't want these
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/fwknop.service
install -D -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/fwknop
install -m 644 %{SOURCE3} README.install.urpmi

%files
%doc README.install.urpmi
%{_bindir}/fwknop
%{_mandir}/man8/fwknop.8*

%files -n %{libname}
%{_libdir}/libfko.so
%{_libdir}/libfko.so.%{libmajor}{,.*}

%files -n %{develname}
%{_includedir}/fko.h
%{_infodir}/libfko.info*

%files -n %{servername}
%doc README.install.urpmi
%config(noreplace) %{_sysconfdir}/sysconfig/fwknop
%{_sbindir}/fwknopd
%{_mandir}/man8/fwknopd.8*
%config(noreplace) %{_sysconfdir}/fwknop/fwknopd.conf
%config(noreplace) %{_sysconfdir}/fwknop/access.conf
%{_unitdir}/fwknop.service





%changelog
* Mon Apr 04 2022 umeabot <umeabot> 2.6.10-4.mga9
+ Revision: 1843138
- Mageia 9 Mass Rebuild

* Sun Aug 23 2020 joequant <joequant> 2.6.10-3.mga8
+ Revision: 1618129
- fix gcc10 build

* Thu Mar 05 2020 zezinho <zezinho> 2.6.10-2.mga8
+ Revision: 1554066
- fix build by maat
- imported package fwknop


* Sun Mar 01 2020 maat <maat-ml@mageia.biz> 2.6.10-2.mga7
- Systemd integration
- doc README.install.urpmi
* Wed Oct 23 2019 maat <maat-ml@mageia.biz> 2.6.10-1.mga7
- first version: 2.6.10


